GSPL-PLIST(1)

NAME
gspl-plist - display printer list

SYNOPSIS
gspl-plist [ -options ] [ printer ... ]

DESCRIPTION
gspl-plist generates a list of the printers, with their current status, on the GNUspool printer lists, including those on remote machines, on standard output. Each line of the output corresponds to a single printer, and by default the output is generally similar to the default format of the printers screen of the gspl-pq(1) command.

Various options allow the user to control the output in various ways as described below.

The output can be restricted to one or more named printers by listing them on the command line.

The default output of gspl-plist looks like the following

 ljet       lp    a4      idle
 epson      tty15 invoice halted
 blue:epson lp    invoice idle

Printer names for printers on remote machines are prefixed as shown by the machine name and a colon. The output is displayed in the minimum width to let each column line up as shown, with fields separated by spaces.

The output format and types of information displayed can be redefined using the -F option.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL_PLIST" and the environment variable to specify the help file is "SPRESTCONF".

-? or +explain or +help
    causes a summary of the other options to be displayed without taking further action.

-C classcode or +classcode classcode
    list only printers which match (have at least one bit in common with) the specified classcode. This is reduced (anded) with) to a subset of the user's default classcode unless the user has override class privilege).

-D or +default-format
    revert to default format. This overrides any preceding -F option.

-F string or +format string
    Specify user defined output format. The    string argument contains
    characters to be printed and symbols representing the required data fields. This option overrides and preceding -D option, and is itself overridden by a following -D option. See the section on format codes below for details of the format code sequences.

-H or +header
    generate a header for each column of the output according to the field displayed there. The headers are taken from the message file, by default rest.help, which may be adjusted as required.

-l or +local-only
    include only printers local to the host on which the gspl-plist command is run.

-N or +no-header
    cancel the -H option.

-q name or +list-only name
    list only printers whose name matches name.

    name may be a pattern with wild cards matched in a similar fashion to the shell, or a list of comma-separated alternatives.

            -q 'a*'

    displays printers whose names start with "a"

            -q '[p-t]*,*[!h-m]'

    displays printers whose names start with "p" to "t" or end with anything other than "h" to "m".

    To cancel this argument, give a single - sign as name.

-r or +remotes
    include printers on the local and connected hosts, canceling -l

-S or +sort-ptrs
    sort printers into order by host identifier and name.

-U or +no-sort-ptrs
    display printers in the order encountered (default).

+freeze-current
    Save all the current options in a .gnuspool file in the current directory.

+freeze-home
    Save all the current options in a .gnuspool file in the user's home directory.

  Format codes
The format string consists of a string containing the following character sequences, which are replaced by the following job parameters. The string may contain various other printing characters or spaces as required.

Each column is padded on the right to the length of the longest entry.

If a header is requested, the appropriate abbreviation is obtained from the message file and inserted.

%%  insert a single "%" sign

%a  display "AB!!" if printer has received an interrupt (abort print or interrupt print) message.

%c  display class code.

%d  display device name, with angle brackets for network devices.

%e  display comment field.

%f  form type

%h  display "heoj" if printer marked to halt at end of current job.

%i  process id of spd(8) process.

%j  job number being printed (preceded by host name if not a local job).

%l  display "localonly" if printer is marked for local jobs only.

%m  feedback message on standard error from network filter process.

%n  "N/A" if printer is marked in need of running alignment routine.

%p  printer name.

%s  printer state, followed by a colon and the feedback message if applicable.

%t  printer state only, no feedback message.

%u  user name of owner of printing job.

%y  minimum job size if applicable.

%z  maximum job size if applicable.

Note that the various strings such as localonly etc are read from the message file also, so it is possible to modify them as required by the user.

The default format is

        %p %d %f %s %j %u

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

rest.help message file

ENVIRONMENT

GSPL_PLIST
    space-separated options to override defaults.

SPRESTCONF
    location of alternative help file.

SEE ALSO
gspl-start(1), gspl-pq(1), gspl-qlist(1), spsyntax(5), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default rest.help.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.